#!/bin/bash

rm -f data.txt
IFS=$'\n'
for scientistname in $(cat names.txt)
do


googlename=`echo $scientistname | tr '\t' ' ' | sed -e 's/ /\+/g' `
echo -n -e "Googling for      \t $googlename ... \t"
googledata=`curl -s http://www.google.co.uk/search\?hl=en\&rls=en\&q=%22$googlename%22 -A "Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_4; en-us) AppleWebKit/533.17.8 (KHTML, like Gecko) Version/5.0.1 Safari/533.17.8"`
googlehits=`echo $googledata | tr 'div' '\n' | grep "resultStats>About" | awk  'BEGIN{FS =" ";}{print $2}' | sed -e 's/,//g'`
echo "($googlehits)"


adsname=`echo "$scientistname" | sed -e 's/\-/ /g' | sed -e 's/ /\+/g' | awk 'BEGIN{FS="\t";}{printf "%s%%2C+%s%s", $2, $1, "\n";}'`
echo -n -e "Searching ADS for \t $adsname ... \t"
adsdata=`curl -s http://adsabs.harvard.edu/cgi-bin/nph-abs_connect\?db_key=AST\&db_key=PRE\&qform=AST\&arxiv_sel=astro-ph\&arxiv_sel=cond-mat\&arxiv_sel=cs\&arxiv_sel=gr-qc\&arxiv_sel=hep-ex\&arxiv_sel=hep-lat\&arxiv_sel=hep-ph\&arxiv_sel=hep-th\&arxiv_sel=math\&arxiv_sel=math-ph\&arxiv_sel=nlin\&arxiv_sel=nucl-ex\&arxiv_sel=nucl-th\&arxiv_sel=physics\&arxiv_sel=quant-ph\&arxiv_sel=q-bio\&sim_query=YES\&ned_query=YES\&adsobj_query=YES\&aut_logic=OR\&obj_logic=OR\&author=$adsname\&object=\&start_mon=\&start_year=\&end_mon=\&end_year=\&ttl_logic=OR\&title=\&txt_logic=OR\&text=\&nr_to_return=200\&start_nr=1\&jou_pick=NO\&ref_stems=\&data_and=ALL\&group_and=ALL\&start_entry_day=\&start_entry_mon=\&start_entry_year=\&end_entry_day=\&end_entry_mon=\&end_entry_year=\&min_score=\&sort=SCORE\&data_type=SHORT\&aut_syn=YES\&ttl_syn=YES\&txt_syn=YES\&aut_wt=1.0\&obj_wt=1.0\&ttl_wt=0.3\&txt_wt=3.0\&aut_wgt=YES\&obj_wgt=YES\&ttl_wgt=YES\&txt_wgt=YES\&ttl_sco=YES\&txt_sco=YES\&version=1`
adshits=`echo $adsdata | tr '<' '\n' | grep strong | head -n 1 |  sed -e 's/strong>//g'`
echo "($adshits)"

printname=`echo $scientistname | tr '\t' ' '`
echo -e -n $printname >> data.txt
echo -e -n $'\t' >> data.txt
echo -e -n $googlehits >> data.txt
echo -e -n $'\t' >> data.txt
echo -e $adshits >> data.txt

done;
