#!/opt/local/bin/gnuplot
set terminal svg size 800, 800
set title "Exoplanet HR diagram"
set output "scientists.svg"
set logscale xy
set datafile separator "\t"
set xlabel "Peer reviewed papers (ADS)"
set ylabel "Fame (number of google hits)"
set format x "%g"
set xrange [1:400] reverse
set yrange [130:3e6]
set label 1 "Main Sequence"  at 50,2000 rotate by 0 
set label 2 "Giants"  at 80,2e5 rotate by 0 
set label 3 "White Dwarfs"  at 70,2e2 rotate by 0 
set label 4 "compiled by Hanno Rein in August 2010"  at 0.9,1.2e2 rotate by 90 font "Arial,8" 
plot "data.txt" u 3:2 with points pt 3 notitle, \
"" using ($3*0.94):($2*1.017):1 with labels left tc lt 1 font "Arial,9" notitle, \
100*x with lines lt 2 notitle 
